Skip to main content
CosyVoice

Query a cloned voice

POST
/services/audio/tts/customization
cURL
curl -X POST https://dashscope-intl.aliyuncs.com/api/v1/services/audio/tts/customization \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
  "model": "voice-enrollment",
  "input": {
    "action": "query_voice",
    "voice_id": "cosyvoice-v3-plus-myvoice-xxxxxx"
  }
}'
{
  "output": {
    "gmt_create": "2024-12-11 13:38:02",
    "gmt_modified": "2024-12-11 13:38:02",
    "resource_link": "https://yourAudioFileUrl",
    "target_model": "cosyvoice-v3-plus",
    "status": "OK"
  },
  "usage": {
    "count": 1
  },
  "request_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}

Authorizations

string
header
required

DashScope API key. Get one at API key.

Body

application/json
enum<string>
required

Fixed to voice-enrollment.

voice-enrollment
voice-enrollment
object
required

Response

200-application/json
object
object
string

Request ID for troubleshooting.

xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx